<?php

use EventPortal\Domain\Team\Models\Team;
use Faker\Generator as Faker;
use Illuminate\Support\Str;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Team::class, function (Faker $faker) {
    $name = $faker->word;
    return [
        'slug' => Str::slug($name),
        'name' => $name,
    ];
});

$factory->state(Team::class, 'snapshot', static function () {
    return [
        'slug' => 'test-team',
        'name' => 'Test Team',
    ];
});
