<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSpeakersTable extends Migration
{
    public function up(): void
    {
        Schema::create('speakers', function (Blueprint $table): void {
            $table->increments('id');
            $table->string('first_name');
            $table->string('last_name');
            $table->string('profession')->nullable();
            $table->string('email')->nullable();
            $table->string('telephone_number');

            $table->timestamps();
        });
    }
}
